Name:           xwallpaper
Version:        0.7.3
Release:        1%{?dist}
Summary:        Wallpaper setting utility for X
License:        ISC
URL:            https://github.com/stoeckmann/xwallpaper
Source0:        https://github.com/stoeckmann/xwallpaper/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:	https://github.com/stoeckmann/xwallpaper/releases/download/v%{version}/%{name}-%{version}.tar.xz.sig
Source2:	https://tobias@stoeckmann.org/tobias.asc
BuildRequires: gcc
BuildRequires: gawk 
BuildRequires: pkgconf 
BuildRequires: gnupg2 
BuildRequires: pixman-devel 
BuildRequires: libseccomp-devel 
BuildRequires: libXrandr-devel 
BuildRequires: xcb-util-devel 
BuildRequires: xcb-util-image-devel 
BuildRequires: libjpeg-turbo-devel 
BuildRequires: libpng-devel 
BuildRequires: libXpm-devel

%description
The xwallpaper utility allows you to set image files as your X wallpaper. JPEG, PNG, and XPM file formats are supported, all of them being configurable and therefore no fixed dependencies.

The wallpaper is also advertised to programs which support semi-transparent backgrounds.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}' &&
tar -Jxf ../SOURCES/%{name}-%{version}.tar.xz -C ./

%build
cd %{name}-%{version}
./configure --bindir=/usr/bin --mandir=/usr/share/man --without-zshcompletiondir --with-seccomp --with-randr --with-jpeg --with-png --with-xpm
make

%install
cd %{name}-%{version}
make DESTDIR=$RPM_BUILD_ROOT install

%files
%{_bindir}/xwallpaper
%{_mandir}/man1/xwallpaper.1.gz

%changelog
* Sat Feb 26 2022 linux.redneck <linux.redneck@disroot.org> - 0.7.3 *
- Bump version.


* Fri May 28 2021 linux.redneck <linux.redneck@disroot.org> - 0.7.0 *
- Bump version.

* Thu May 20 2021 linux.redneck <linux.redneck@disroot.org> - 0.6.6 *
- Initial build.
